Manifest-Version: 1.0
Bnd-LastModified: 1720120619538
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Impl
Bundle-SymbolicName: com.liferay.portal.impl;singleton:=true
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 70.0.2
Created-By: 1.8.0_381 (Oracle Corporation)
DSTAMP: 20240704
Export-Package: com.liferay.portal.bean;version="5.0.0";uses:="com.lif
 eray.portal.kernel.bean,javax.servlet.http,org.springframework.contex
 t",com.liferay.portal.dao.orm.hibernate;version="6.3.0";uses:="com.li
 feray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.petr
 a.string,com.liferay.portal.kernel.dao.orm,org.hibernate,org.hibernat
 e.criterion,org.hibernate.dialect,org.hibernate.dialect.pagination,or
 g.hibernate.engine.spi,org.hibernate.property.access.internal,org.hib
 ernate.property.access.spi,org.hibernate.type,org.hibernate.usertype"
 ,com.liferay.portal.deploy.hot;version="8.0.0";uses:="com.liferay.por
 tal.kernel.deploy.hot,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.plugin,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.persistence,com.liferay.portal.kernel.url,com.lifera
 y.portal.kernel.util,com.liferay.portal.kernel.xml,javax.servlet,org.
 osgi.framework",com.liferay.portal.events;version="10.1.0";uses:="com
 .liferay.portal.kernel.deploy.hot,com.liferay.portal.kernel.events,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.upgrade,javax
 .servlet.http",com.liferay.portal.freemarker;version="1.0.2",com.life
 ray.portal.minifier;version="2.0.0",com.liferay.portal.plugin;version
 ="3.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.plugin,com.liferay.portal.ke
 rnel.xml,javax.servlet",com.liferay.portal.security.auth;version="5.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel
 .security.auth,com.liferay.portal.kernel.security.auth.verifier,com.l
 iferay.portal.kernel.spring.osgi,javax.security.auth.callback,javax.s
 ervlet.http",com.liferay.portal.security.lang;version="2.0.0",com.lif
 eray.portal.service.http;version="10.3.0";uses:="com.liferay.announce
 ments.kernel.model,com.liferay.petra.function,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.repository.model,com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.security.auth,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.util,javax.portlet",com.
 liferay.portal.service.permission;version="3.2.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.auth,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.service.permission,com.liferay.portal.k
 ernel.spring.osgi,javax.portlet",com.liferay.portal.service.persisten
 ce.constants;version="1.0.0",com.liferay.portal.servlet;version="11.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.servlet,com.liferay.portal.kernel
 .util,com.liferay.portal.kernel.xml,javax.servlet,javax.servlet.http"
 ,com.liferay.portal.servlet.filters;version="1.0.0";uses:="com.lifera
 y.portal.kernel.log,com.liferay.portal.kernel.servlet,javax.servlet.h
 ttp",com.liferay.portal.servlet.filters.authverifier;version="1.0.2";
 uses:="com.liferay.portal.servlet.filters,javax.servlet,javax.servlet
 .http",com.liferay.portal.spring.configurator;version="1.0.0";uses:="
 org.springframework.context",com.liferay.portal.template;version="9.0
 .0";uses:="com.liferay.portal.kernel.cache,com.liferay.portal.kernel.
 spring.osgi,com.liferay.portal.kernel.template,javax.portlet",com.lif
 eray.portal.tools;version="11.2.0";uses:="com.liferay.portal.kernel.d
 ao.db,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.i
 o.unsync,com.liferay.portal.kernel.xml",com.liferay.portal.upgrade.ut
 il;version="6.1.0";uses:="com.liferay.portal.kernel.upgrade,com.lifer
 ay.portal.kernel.upgrade.util",com.liferay.portal.upgrade.v7_0_0;vers
 ion="6.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.port
 al.kernel.settings,com.liferay.portal.kernel.upgrade,com.liferay.port
 al.kernel.util,javax.portlet",com.liferay.portal.upgrade.v7_0_5;versi
 on="3.0.0";uses:="com.liferay.portal.kernel.upgrade",com.liferay.port
 al.upgrade.v7_1_x;version="5.0.0";uses:="com.liferay.portal.kernel.up
 grade,com.liferay.portal.kernel.upgrade.util,com.liferay.portal.upgra
 de.util",com.liferay.portal.upload;version="4.0.0";uses:="com.liferay
 .portal.kernel.servlet,com.liferay.portal.kernel.upload,javax.portlet
 ,javax.servlet,javax.servlet.http",com.liferay.portal.util;version="4
 5.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.lang
 ,com.liferay.petra.process,com.liferay.portal.kernel.configuration,co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.openid,com.life
 ray.portal.kernel.portlet,com.liferay.portal.kernel.repository,com.li
 feray.portal.kernel.repository.event,com.liferay.portal.kernel.securi
 ty.permission,com.liferay.portal.kernel.settings,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.upload,com.liferay.portal.kerne
 l.util,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet,java
 x.servlet.http,org.xml.sax",com.liferay.portal.xml;version="1.3.0";us
 es:="com.liferay.portal.kernel.security.xml,com.liferay.portal.kernel
 .util,com.liferay.portal.kernel.xml,javax.xml.stream,org.dom4j,org.do
 m4j.io,org.dom4j.tree,org.xml.sax",com.liferay.portlet;version="9.0.0
 ";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.s
 ecurity.auth,com.liferay.portal.kernel.servlet,com.liferay.portal.ker
 nel.theme,com.liferay.portal.kernel.transaction,com.liferay.portal.ke
 rnel.util,javax.portlet,javax.portlet.filter,javax.servlet,javax.serv
 let.http,javax.xml.stream",com.liferay.portlet.asset;version="2.2.0",
 com.liferay.portlet.asset.model.impl;version="6.0.0";uses:="com.lifer
 ay.asset.kernel.model,com.liferay.expando.kernel.model,com.liferay.ex
 portimport.kernel.lar,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.model.impl,com.liferay.portal.kernel.service,com.liferay.por
 tlet.asset.util",com.liferay.portlet.asset.service.permission;version
 ="3.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.security.permission,com.lifer
 ay.portal.kernel.spring.osgi",com.liferay.portlet.asset.util;version=
 "4.0.0";uses:="com.liferay.asset.kernel.service.persistence,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.search,com.lifer
 ay.portal.kernel.search.filter,com.liferay.portal.kernel.security.per
 mission",com.liferay.portlet.documentlibrary;version="1.1.0";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.settings
 ",com.liferay.portlet.documentlibrary.asset;version="2.0.0";uses:="co
 m.liferay.asset.kernel.model,com.liferay.document.library.kernel.mode
 l,com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.repository.model",com.liferay.port
 let.documentlibrary.lar;version="2.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.repository.model",com.liferay
 .portlet.documentlibrary.service.permission;version="3.0.0";uses:="co
 m.liferay.document.library.kernel.model,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.repository.model,com.liferay.portal.
 kernel.security.permission,com.liferay.portal.kernel.spring.osgi",com
 .liferay.portlet.documentlibrary.store;version="6.0.0";uses:="com.lif
 eray.document.library.kernel.store,com.liferay.portal.kernel.exceptio
 n",com.liferay.portlet.documentlibrary.util;version="8.0.0";uses:="co
 m.liferay.document.library.kernel.model,com.liferay.document.library.
 kernel.util,com.liferay.exportimport.kernel.lar,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.repository.model,com.liferay
 .portal.kernel.search,com.liferay.portal.kernel.service,com.liferay.p
 ortal.kernel.theme,com.liferay.portal.kernel.util,com.liferay.portal.
 kernel.xml,javax.portlet",com.liferay.portlet.expando.model.impl;vers
 ion="4.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.model.impl,com.liferay.portal.
 kernel.service,com.liferay.portal.kernel.util",com.liferay.portlet.us
 ersadmin.search;version="1.1.0";uses:="com.liferay.portal.kernel.dao.
 search,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.search,javax.portlet"
Git-Descriptor: 281d88f06e62d-dirty
Git-SHA: 281d88f06e62debdb6dede7c77ef75d1d6629d09
Import-Package: com.liferay.admin.kernel.util,com.liferay.announcement
 s.kernel.exception,com.liferay.announcements.kernel.model,com.liferay
 .announcements.kernel.service,com.liferay.announcements.kernel.servic
 e.persistence,com.liferay.asset.kernel,com.liferay.asset.kernel.confi
 guration.provider,com.liferay.asset.kernel.exception,com.liferay.asse
 t.kernel.model,com.liferay.asset.kernel.model.adapter,com.liferay.ass
 et.kernel.service,com.liferay.asset.kernel.service.persistence,com.li
 feray.asset.kernel.util,com.liferay.asset.kernel.validator,com.lifera
 y.background.task.kernel.util.comparator,com.liferay.counter.kernel.m
 odel,com.liferay.counter.kernel.service,com.liferay.counter.kernel.se
 rvice.persistence,com.liferay.document.library.kernel.antivirus,com.l
 iferay.document.library.kernel.document.conversion,com.liferay.docume
 nt.library.kernel.exception,com.liferay.document.library.kernel.model
 ,com.liferay.document.library.kernel.service,com.liferay.document.lib
 rary.kernel.service.persistence,com.liferay.document.library.kernel.s
 tore,com.liferay.document.library.kernel.util,com.liferay.document.li
 brary.kernel.util.comparator,com.liferay.document.library.kernel.vers
 ioning,com.liferay.dynamic.data.mapping.kernel,com.liferay.expando.ke
 rnel.exception,com.liferay.expando.kernel.model,com.liferay.expando.k
 ernel.model.adapter,com.liferay.expando.kernel.service,com.liferay.ex
 pando.kernel.service.permission,com.liferay.expando.kernel.service.pe
 rsistence,com.liferay.expando.kernel.util,com.liferay.exportimport.ke
 rnel.configuration,com.liferay.exportimport.kernel.controller,com.lif
 eray.exportimport.kernel.exception,com.liferay.exportimport.kernel.la
 r,com.liferay.exportimport.kernel.lifecycle,com.liferay.exportimport.
 kernel.model,com.liferay.exportimport.kernel.service,com.liferay.expo
 rtimport.kernel.service.persistence,com.liferay.exportimport.kernel.s
 taging,com.liferay.exportimport.kernel.staging.permission,com.liferay
 .layout.admin.kernel.model,com.liferay.layout.admin.kernel.visibility
 ,com.liferay.mail.kernel.model,com.liferay.mail.kernel.service,com.li
 feray.mail.kernel.template,com.liferay.osgi.service.tracker.collectio
 ns,com.liferay.osgi.service.tracker.collections.list,com.liferay.osgi
 .service.tracker.collections.map,com.liferay.petra.concurrent,com.lif
 eray.petra.executor,com.liferay.petra.function,com.liferay.petra.func
 tion.transform,com.liferay.petra.io,com.liferay.petra.io.unsync,com.l
 iferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio,com.
 liferay.petra.process,com.liferay.petra.reflect,com.liferay.petra.sql
 .dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.base,com
 .liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.expressio
 n.step,com.liferay.petra.sql.dsl.query,com.liferay.petra.sql.dsl.quer
 y.sort,com.liferay.petra.sql.dsl.spi.ast,com.liferay.petra.sql.dsl.sp
 i.expression,com.liferay.petra.string,com.liferay.petra.url.pattern.m
 apper,com.liferay.petra.xml,com.liferay.portal.bean;version="[5.0,6)"
 ,com.liferay.portal.freemarker;version="[1.0,2)",com.liferay.portal.k
 ernel.annotation,com.liferay.portal.kernel.aop,com.liferay.portal.ker
 nel.application.type,com.liferay.portal.kernel.audit,com.liferay.port
 al.kernel.backgroundtask,com.liferay.portal.kernel.bean,com.liferay.p
 ortal.kernel.cache,com.liferay.portal.kernel.cache.index,com.liferay.
 portal.kernel.cache.key,com.liferay.portal.kernel.cache.thread.local,
 com.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.c
 luster,com.liferay.portal.kernel.comment,com.liferay.portal.kernel.co
 ncurrent,com.liferay.portal.kernel.configuration,com.liferay.portal.k
 ernel.cookies,com.liferay.portal.kernel.dao.db,com.liferay.portal.ker
 nel.dao.jdbc,com.liferay.portal.kernel.dao.jdbc.pool.metrics,com.life
 ray.portal.kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.li
 feray.portal.kernel.dependency.manager,com.liferay.portal.kernel.depl
 oy.auto,com.liferay.portal.kernel.deploy.auto.context,com.liferay.por
 tal.kernel.deploy.hot,com.liferay.portal.kernel.editor.configuration,
 com.liferay.portal.kernel.encryptor,com.liferay.portal.kernel.events,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.faceboo
 k,com.liferay.portal.kernel.feature.flag,com.liferay.portal.kernel.fo
 rmat,com.liferay.portal.kernel.frontend.source.map,com.liferay.portal
 .kernel.image,com.liferay.portal.kernel.increment,com.liferay.portal.
 kernel.instance.lifecycle,com.liferay.portal.kernel.internal.service.
 permission,com.liferay.portal.kernel.interval,com.liferay.portal.kern
 el.io,com.liferay.portal.kernel.io.unsync,com.liferay.portal.kernel.j
 ndi,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebs
 ervice,com.liferay.portal.kernel.language,com.liferay.portal.kernel.l
 ayoutconfiguration.util,com.liferay.portal.kernel.license,com.liferay
 .portal.kernel.license.messaging,com.liferay.portal.kernel.license.ut
 il,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.log,com.l
 iferay.portal.kernel.login,com.liferay.portal.kernel.messaging,com.li
 feray.portal.kernel.messaging.async,com.liferay.portal.kernel.metadat
 a,com.liferay.portal.kernel.mobile.device,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.model.adapter,com.liferay.portal.kerne
 l.model.adapter.builder,com.liferay.portal.kernel.model.change.tracki
 ng,com.liferay.portal.kernel.model.dao,com.liferay.portal.kernel.mode
 l.impl,com.liferay.portal.kernel.model.portlet,com.liferay.portal.ker
 nel.model.role,com.liferay.portal.kernel.module.framework,com.liferay
 .portal.kernel.module.framework.service,com.liferay.portal.kernel.mod
 ule.util,com.liferay.portal.kernel.notifications,com.liferay.portal.k
 ernel.openid,com.liferay.portal.kernel.patcher,com.liferay.portal.ker
 nel.plugin,com.liferay.portal.kernel.pop,com.liferay.portal.kernel.po
 rtlet,com.liferay.portal.kernel.portlet.async,com.liferay.portal.kern
 el.portlet.bridges.mvc,com.liferay.portal.kernel.portlet.configuratio
 n.icon,com.liferay.portal.kernel.portlet.render,com.liferay.portal.ke
 rnel.portlet.toolbar,com.liferay.portal.kernel.portlet.url.builder,co
 m.liferay.portal.kernel.portletfilerepository,com.liferay.portal.kern
 el.redirect,com.liferay.portal.kernel.repository,com.liferay.portal.k
 ernel.repository.capabilities,com.liferay.portal.kernel.repository.ev
 ent,com.liferay.portal.kernel.repository.friendly.url.resolver,com.li
 feray.portal.kernel.repository.model,com.liferay.portal.kernel.reposi
 tory.proxy,com.liferay.portal.kernel.repository.registry,com.liferay.
 portal.kernel.repository.util,com.liferay.portal.kernel.resource.bund
 le,com.liferay.portal.kernel.sanitizer,com.liferay.portal.kernel.sche
 duler,com.liferay.portal.kernel.scheduler.messaging,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.search.facet.faceted.search
 er,com.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.
 search.generic,com.liferay.portal.kernel.search.reindexer,com.liferay
 .portal.kernel.security,com.liferay.portal.kernel.security.access.con
 trol,com.liferay.portal.kernel.security.auth,com.liferay.portal.kerne
 l.security.auth.http,com.liferay.portal.kernel.security.auth.session,
 com.liferay.portal.kernel.security.auth.tunnel,com.liferay.portal.ker
 nel.security.auth.verifier,com.liferay.portal.kernel.security.auto.lo
 gin,com.liferay.portal.kernel.security.exportimport,com.liferay.porta
 l.kernel.security.ldap,com.liferay.portal.kernel.security.membershipp
 olicy,com.liferay.portal.kernel.security.permission,com.liferay.porta
 l.kernel.security.permission.comparator,com.liferay.portal.kernel.sec
 urity.permission.contributor,com.liferay.portal.kernel.security.permi
 ssion.propagator,com.liferay.portal.kernel.security.permission.resour
 ce,com.liferay.portal.kernel.security.permission.wrapper,com.liferay.
 portal.kernel.security.pwd,com.liferay.portal.kernel.security.service
 .access.policy,com.liferay.portal.kernel.security.sso,com.liferay.por
 tal.kernel.security.xml,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.service.configuration,com.liferay.portal.kernel.servic
 e.configuration.servlet,com.liferay.portal.kernel.service.http,com.li
 feray.portal.kernel.service.permission,com.liferay.portal.kernel.serv
 ice.persistence,com.liferay.portal.kernel.service.persistence.change.
 tracking,com.liferay.portal.kernel.service.persistence.change.trackin
 g.helper,com.liferay.portal.kernel.service.persistence.impl,com.lifer
 ay.portal.kernel.servlet,com.liferay.portal.kernel.servlet.filters.co
 mpoundsessionid,com.liferay.portal.kernel.servlet.filters.invoker,com
 .liferay.portal.kernel.servlet.taglib,com.liferay.portal.kernel.servl
 et.taglib.aui,com.liferay.portal.kernel.servlet.taglib.ui,com.liferay
 .portal.kernel.servlet.taglib.util,com.liferay.portal.kernel.settings
 ,com.liferay.portal.kernel.social,com.liferay.portal.kernel.spring.ao
 p,com.liferay.portal.kernel.spring.orm,com.liferay.portal.kernel.spri
 ng.osgi,com.liferay.portal.kernel.struts,com.liferay.portal.kernel.sy
 stemevent,com.liferay.portal.kernel.template,com.liferay.portal.kerne
 l.templateparser,com.liferay.portal.kernel.theme,com.liferay.portal.k
 ernel.transaction,com.liferay.portal.kernel.trash,com.liferay.portal.
 kernel.trash.helper,com.liferay.portal.kernel.tree,com.liferay.portal
 .kernel.upgrade,com.liferay.portal.kernel.upgrade.util,com.liferay.po
 rtal.kernel.upload,com.liferay.portal.kernel.upload.configuration,com
 .liferay.portal.kernel.url,com.liferay.portal.kernel.url.validator,co
 m.liferay.portal.kernel.util,com.liferay.portal.kernel.util.comparato
 r,com.liferay.portal.kernel.uuid,com.liferay.portal.kernel.verify.mod
 el,com.liferay.portal.kernel.version,com.liferay.portal.kernel.view.c
 ount,com.liferay.portal.kernel.webcache,com.liferay.portal.kernel.web
 dav,com.liferay.portal.kernel.webdav.methods,com.liferay.portal.kerne
 l.webserver,com.liferay.portal.kernel.words,com.liferay.portal.kernel
 .workflow,com.liferay.portal.kernel.workflow.permission,com.liferay.p
 ortal.kernel.xml,com.liferay.portal.kernel.xml.simple,com.liferay.por
 tal.kernel.xmlrpc,com.liferay.portal.kernel.zip,com.liferay.portal.lo
 g4j,com.liferay.portal.plugin;version="[3.0,4)",com.liferay.portal.se
 rvice.http;version="[10.3,11)",com.liferay.portal.service.permission;
 version="[3.2,4)",com.liferay.portal.service.persistence.constants;ve
 rsion="[1.0,2)",com.liferay.portal.servlet.filters;version="[1.0,2)",
 com.liferay.portal.spring.configurator;version="[1.0,2)",com.liferay.
 portal.upgrade.v7_0_5;version="[3.0,4)",com.liferay.portal.upgrade.v7
 _1_x;version="[5.0,6)",com.liferay.portal.upload;version="[4.0,5)",co
 m.liferay.portlet.asset.model.impl;version="[6.0,7)",com.liferay.port
 let.asset.service.permission;version="[3.0,4)",com.liferay.portlet.as
 set.util;version="[4.0,5)",com.liferay.portlet.configuration.kernel.u
 til,com.liferay.portlet.documentlibrary;version="[1.1,2)",com.liferay
 .portlet.documentlibrary.asset;version="[2.0,3)",com.liferay.portlet.
 expando.model.impl;version="[4.0,5)",com.liferay.portlet.usersadmin.s
 earch;version="[1.1,2)",com.liferay.ratings.kernel.exception,com.life
 ray.ratings.kernel.model,com.liferay.ratings.kernel.service,com.lifer
 ay.ratings.kernel.service.persistence,com.liferay.ratings.kernel.tran
 sformer,com.liferay.roles.admin.kernel.util,com.liferay.sites.kernel.
 util,com.liferay.social.kernel.exception,com.liferay.social.kernel.mo
 del,com.liferay.social.kernel.model.impl,com.liferay.social.kernel.se
 rvice,com.liferay.social.kernel.service.permission,com.liferay.social
 .kernel.service.persistence,com.liferay.social.kernel.util,com.lifera
 y.social.kernel.util.comparator,com.liferay.users.admin.kernel.file.u
 ploads,com.liferay.users.admin.kernel.organization.types,com.liferay.
 users.admin.kernel.util,com.liferay.util,com.liferay.util.dao.orm,com
 .liferay.util.portlet,com.liferay.util.servlet,com.liferay.util.servl
 et.filters,com.liferay.util.xml,com.liferay.util.xml.descriptor,com.t
 houghtworks.qdox,com.thoughtworks.qdox.model,com.zaxxer.hikari,de.hun
 sicker.io,de.hunsicker.jalopy,de.hunsicker.jalopy.storage,freemarker.
 cache,freemarker.template,javax.activation,javax.crypto,javax.crypto.
 spec,javax.imageio,javax.imageio.stream,javax.mail,javax.mail.interne
 t,javax.management,javax.naming,javax.net.ssl,javax.portlet,javax.por
 tlet.annotations,javax.portlet.filter,javax.security.auth.callback,ja
 vax.servlet,javax.servlet.http,javax.sql,javax.xml.namespace,javax.xm
 l.parsers,javax.xml.stream,javax.xml.stream.events,javax.xml.transfor
 m,javax.xml.transform.dom,javax.xml.transform.stream,jodd.bean,jodd.i
 ntrospector,jodd.json,jodd.json.impl,jodd.json.meta,jodd.typeconverte
 r,jodd.typeconverter.impl,jodd.util,org.apache.commons.configuration,
 org.apache.commons.lang.builder,org.apache.commons.lang.time,org.apac
 he.commons.logging,org.apache.logging.log4j,org.apache.logging.log4j.
 core,org.apache.xerces.parsers,org.apache.xerces.xni,org.dom4j,org.do
 m4j.io,org.dom4j.tree,org.hibernate,org.hibernate.boot,org.hibernate.
 boot.jaxb,org.hibernate.boot.jaxb.internal,org.hibernate.boot.jaxb.sp
 i,org.hibernate.boot.registry,org.hibernate.boot.spi,org.hibernate.cf
 g,org.hibernate.context.spi,org.hibernate.criterion,org.hibernate.dia
 lect,org.hibernate.dialect.function,org.hibernate.dialect.pagination,
 org.hibernate.engine.jdbc.dialect.internal,org.hibernate.engine.jdbc.
 dialect.spi,org.hibernate.engine.jdbc.spi,org.hibernate.engine.spi,or
 g.hibernate.event.internal,org.hibernate.event.service.spi,org.hibern
 ate.event.spi,org.hibernate.exception,org.hibernate.id,org.hibernate.
 integrator.spi,org.hibernate.internal,org.hibernate.internal.util,org
 .hibernate.jdbc,org.hibernate.mapping,org.hibernate.metamodel.spi,org
 .hibernate.persister.entity,org.hibernate.property.access.internal,or
 g.hibernate.property.access.spi,org.hibernate.query,org.hibernate.res
 ource.jdbc.spi,org.hibernate.service,org.hibernate.service.spi,org.hi
 bernate.stat,org.hibernate.stat.spi,org.hibernate.type,org.hibernate.
 type.spi,org.hibernate.usertype,org.jabsorb,org.jabsorb.serializer,or
 g.jaxen,org.jaxen.function,org.json,org.osgi.framework,org.osgi.frame
 work.launch,org.osgi.framework.wiring,org.osgi.util.tracker,org.postg
 resql,org.postgresql.largeobject,org.springframework.aop,org.springfr
 amework.aop.framework,org.springframework.aop.support,org.springframe
 work.beans,org.springframework.beans.factory,org.springframework.bean
 s.factory.config,org.springframework.beans.factory.support,org.spring
 framework.beans.factory.xml,org.springframework.context,org.springfra
 mework.context.support,org.springframework.core,org.springframework.c
 ore.io,org.springframework.core.io.support,org.springframework.jdbc.d
 atasource,org.springframework.orm.hibernate5,org.springframework.tran
 saction,org.springframework.transaction.interceptor,org.springframewo
 rk.transaction.support,org.springframework.util,org.springframework.w
 eb.context,org.springframework.web.context.support,org.w3c.dom,org.xm
 l.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Mar 24 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Thu Jul 4 12:16:57 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Fixed-Issues: LPD-18467,LPD-19462,LPD-30458,LPS-181233,
 LPS-181668,LPS-182239,LPS-182960,LPS-184344,LPS-184475,LPS-184580,LPS
 -185847,LPS-186222,LPS-187233,LPS-187645,LPS-191434,LPS-201100,LPS-20
 1746,LPS-201834
Liferay-Portal-Installed-Patches: hotfix-5648-7413
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 69 (Cavanaugh / Build 7413 / March 24, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 69
Liferay-Service: true
Private-Package: com.liferay.portal.events.dependencies,com.liferay.po
 rtal.deploy.dependencies,com.liferay.portal.tools.dependencies,com.li
 feray.portlet.blogs.dependencies,com.liferay.portlet.admin.dependenci
 es,com.liferay.portal.tools.sql.dependencies,com.liferay.portlet.port
 letdisplaytemplate.dependencies,com.liferay.portlet.announcements.dep
 endencies,com.liferay.portal.tools.propertiesdoc.dependencies,com.lif
 eray.portlet.messageboards.dependencies,com.liferay.portlet.documentl
 ibrary.dependencies,com.liferay.portal.servlet.filters.dynamiccss.dep
 endencies,com.liferay.portlet.sites.dependencies,com.liferay.portal.w
 ebserver.dependencies,com.liferay.portal.dependencies,com.liferay.cou
 nter.model,com.liferay.counter.model.impl,com.liferay.counter,com.lif
 eray.counter.service.base,com.liferay.counter.service.impl,com.lifera
 y.counter.service.persistence,com.liferay.counter.service.persistence
 .impl,com.liferay.mail.internal,com.liferay.mail.messaging,com.lifera
 y.mail.service.impl,com.liferay.portal.action,com.liferay.portal.cach
 e.key,com.liferay.portal.cache.thread.local,com.liferay.portal.ccpp,c
 om.liferay.portal.change.tracking.registry,com.liferay.portal.change.
 tracking.sql,com.liferay.portal.change.tracking.store,com.liferay.por
 tal.configuration,com.liferay.portal.convert,com.liferay.portal.conve
 rt.documentlibrary,com.liferay.portal.convert.messaging,com.liferay.p
 ortal.dao.db,com.liferay.portal.dao.init,com.liferay.portal.dao.jdbc,
 com.liferay.portal.dao.jdbc.pool.metrics,com.liferay.portal.dao.jdbc.
 postgresql,com.liferay.portal.dao.jdbc.spring,com.liferay.portal.dao.
 jdbc.util,com.liferay.portal.dao.orm.common,com.liferay.portal.dao.or
 m.hibernate.event,com.liferay.portal.dao.orm.hibernate.jmx,com.lifera
 y.portal.dao.sql.transformer,com.liferay.portal.db,com.liferay.portal
 .db.index,com.liferay.portal.db.partition,com.liferay.portal.definiti
 ons,com.liferay.portal.deploy,com.liferay.portal.deploy.auto,com.life
 ray.portal.deploy.dependencies.images.liferay-ui,com.liferay.portal.d
 eploy.hot.messaging,com.liferay.portal.editor.configuration,com.lifer
 ay.portal.ee.license,com.liferay.portal.ee.license.a,com.liferay.port
 al.facebook,com.liferay.portal.format,com.liferay.portal.image,com.li
 feray.portal.increment,com.liferay.portal.internal.change.tracking.hi
 bernate,com.liferay.portal.internal.cluster,com.liferay.portal.intern
 al.dao.sql.transformer,com.liferay.portal.internal.errors,com.liferay
 .portal.internal.increment,com.liferay.portal.internal.messaging.asyn
 c,com.liferay.portal.internal.minifier,com.liferay.portal.internal.se
 curity.permission.contributor,com.liferay.portal.internal.service.uti
 l,com.liferay.portal.internal.servlet,com.liferay.portal.json,com.lif
 eray.portal.json.data,com.liferay.portal.json.jabsorb.serializer,com.
 liferay.portal.json.transformer,com.liferay.portal.jsonwebservice,com
 .liferay.portal.language,com.liferay.portal.layoutconfiguration.util,
 com.liferay.portal.layoutconfiguration.util.velocity,com.liferay.port
 al.license,com.liferay.portal.license.a,com.liferay.portal.license.cl
 assloader,com.liferay.portal.license.util,com.liferay.portal.linkback
 ,com.liferay.portal.liveusers,com.liferay.portal.liveusers.messaging,
 com.liferay.portal.log,com.liferay.portal.messaging.proxy,com.liferay
 .portal.model,com.liferay.portal.model.adapter.builder,com.liferay.po
 rtal.model.adapter.impl,com.liferay.portal.model.impl,com.liferay.por
 tal.module.framework,com.liferay.portal.module.util,com.liferay.porta
 l.notifications,com.liferay.portal.patcher,com.liferay.portal.reposit
 ory,com.liferay.portal.repository.capabilities,com.liferay.portal.rep
 ository.capabilities.util,com.liferay.portal.repository.external,com.
 liferay.portal.repository.liferayrepository,com.liferay.portal.reposi
 tory.liferayrepository.model,com.liferay.portal.repository.liferayrep
 ository.social,com.liferay.portal.repository.portletrepository,com.li
 feray.portal.repository.registry,com.liferay.portal.repository.tempor
 aryrepository,com.liferay.portal.repository.util,com.liferay.portal.s
 earch,com.liferay.portal.search.dependencies.spellchecker,com.liferay
 .portal.security.access.control,com.liferay.portal.security.auth.http
 ,com.liferay.portal.security.auth.registry,com.liferay.portal.securit
 y.auth.session,com.liferay.portal.security.auth.tunnel,com.liferay.po
 rtal.security.jaas,com.liferay.portal.security.membershippolicy,com.l
 iferay.portal.security.permission,com.liferay.portal.security.pwd,com
 .liferay.portal.security.sso,com.liferay.portal.security.xml,com.life
 ray.portal,com.liferay.portal.service,com.liferay.portal.service.base
 ,com.liferay.portal.service.impl,com.liferay.portal.service.persisten
 ce.impl,com.liferay.portal.servlet.delegate,com.liferay.portal.servle
 t.filters.absoluteredirects,com.liferay.portal.servlet.filters.aggreg
 ate,com.liferay.portal.servlet.filters.autologin,com.liferay.portal.s
 ervlet.filters.cache,com.liferay.portal.servlet.filters.dynamiccss,co
 m.liferay.portal.servlet.filters.etag,com.liferay.portal.servlet.filt
 ers.fragment,com.liferay.portal.servlet.filters.gzip,com.liferay.port
 al.servlet.filters.header,com.liferay.portal.servlet.filters.i18n,com
 .liferay.portal.servlet.filters.ignore,com.liferay.portal.servlet.fil
 ters.language,com.liferay.portal.servlet.filters.lockout,com.liferay.
 portal.servlet.filters.password.modified,com.liferay.portal.servlet.f
 ilters.secure,com.liferay.portal.servlet.filters.servletauthorizing,c
 om.liferay.portal.servlet.filters.servletcontextinclude,com.liferay.p
 ortal.servlet.filters.sessionid,com.liferay.portal.servlet.filters.se
 ssionmaxallowed,com.liferay.portal.servlet.filters.strip,com.liferay.
 portal.servlet.filters.themepreview,com.liferay.portal.servlet.filter
 s.threaddump,com.liferay.portal.servlet.filters.threadlocal,com.lifer
 ay.portal.servlet.filters.unsyncprintwriterpool,com.liferay.portal.se
 rvlet.filters.util,com.liferay.portal.servlet.filters.validhostname,c
 om.liferay.portal.servlet.filters.virtualhost,com.liferay.portal.serv
 let.filters.weblogic,com.liferay.portal.servlet.filters.websphere,com
 .liferay.portal.servlet.taglib.ui,com.liferay.portal.setup,com.lifera
 y.portal.sharepoint,com.liferay.portal.sharepoint.dws,com.liferay.por
 tal.sharepoint.methods,com.liferay.portal.spring.aop,com.liferay.port
 al.spring.bean,com.liferay.portal.spring.context,com.liferay.portal.s
 pring.hibernate,com.liferay.portal.spring.override,com.liferay.portal
 .spring.transaction,com.liferay.portal.spring.util,com.liferay.portal
 .struts,com.liferay.portal.struts.constants,com.liferay.portal.struts
 .model,com.liferay.portal.systemevent,com.liferay.portal.templatepars
 er,com.liferay.portal.theme,com.liferay.portal.tools.comparator,com.l
 iferay.portal.tools.deploy,com.liferay.portal.tools.jspc.common,com.l
 iferay.portal.tools.propertiesdoc,com.liferay.portal.tools.sql,com.li
 feray.portal.transaction,com.liferay.portal.typeconverter,com.liferay
 .portal.upgrade,com.liferay.portal.upgrade.log,com.liferay.portal.upg
 rade.v6_1_1,com.liferay.portal.upgrade.v6_2_0,com.liferay.portal.upgr
 ade.v6_2_0.util,com.liferay.portal.upgrade.v7_0_0.util,com.liferay.po
 rtal.upgrade.v7_0_1,com.liferay.portal.upgrade.v7_0_3,com.liferay.por
 tal.upgrade.v7_0_6,com.liferay.portal.upgrade.v7_2_x,com.liferay.port
 al.upgrade.v7_2_x.util,com.liferay.portal.upgrade.v7_3_x,com.liferay.
 portal.upgrade.v7_4_x,com.liferay.portal.uuid,com.liferay.portal.veri
 fy,com.liferay.portal.verify.model,com.liferay.portal.webcache,com.li
 feray.portal.webdav,com.liferay.portal.webdav.methods,com.liferay.por
 tal.webserver,com.liferay.portal.workflow,com.liferay.portal.workflow
 .permission,com.liferay.portal.xml.xpath,com.liferay.portal.xmlrpc,co
 m.liferay.portal.zip,com.liferay.portlet.admin.util,com.liferay.portl
 et.announcements.model,com.liferay.portlet.announcements.model.impl,c
 om.liferay.portlet.announcements,com.liferay.portlet.announcements.se
 rvice.base,com.liferay.portlet.announcements.service.http,com.liferay
 .portlet.announcements.service.impl,com.liferay.portlet.announcements
 .service.permission,com.liferay.portlet.announcements.service.persist
 ence.impl,com.liferay.portlet.asset.model.adapter.impl,com.liferay.po
 rtlet.asset.service.base,com.liferay.portlet.asset.service.http,com.l
 iferay.portlet.asset.service.impl,com.liferay.portlet.asset.service.p
 ersistence.impl,com.liferay.portlet.asset.util.comparator,com.liferay
 .portlet.documentlibrary.asset.model,com.liferay.portlet.documentlibr
 ary.constants,com.liferay.portlet.documentlibrary.messaging,com.lifer
 ay.portlet.documentlibrary.model.impl,com.liferay.portlet.documentlib
 rary.service.base,com.liferay.portlet.documentlibrary.service.http,co
 m.liferay.portlet.documentlibrary.service.impl,com.liferay.portlet.do
 cumentlibrary.service.persistence.impl,com.liferay.portlet.documentli
 brary.sharepoint,com.liferay.portlet.documentlibrary.social,com.lifer
 ay.portlet.documentlibrary.util.comparator,com.liferay.portlet.docume
 ntlibrary.webdav,com.liferay.portlet.expando,com.liferay.portlet.expa
 ndo.service.base,com.liferay.portlet.expando.service.http,com.liferay
 .portlet.expando.service.impl,com.liferay.portlet.expando.service.per
 mission,com.liferay.portlet.expando.service.persistence.impl,com.life
 ray.portlet.expando.util.comparator,com.liferay.portlet.exportimport.
 model.impl,com.liferay.portlet.exportimport,com.liferay.portlet.expor
 timport.service.base,com.liferay.portlet.exportimport.service.http,co
 m.liferay.portlet.exportimport.service.impl,com.liferay.portlet.expor
 timport.service.persistence.impl,com.liferay.portlet.exportimport.sta
 ging,com.liferay.portlet.extra.config,com.liferay.portlet.internal,co
 m.liferay.portlet.portletconfiguration,com.liferay.portlet.portletcon
 figuration.util,com.liferay.portlet.ratings.model.impl,com.liferay.po
 rtlet.ratings,com.liferay.portlet.ratings.service.base,com.liferay.po
 rtlet.ratings.service.http,com.liferay.portlet.ratings.service.impl,c
 om.liferay.portlet.ratings.service.persistence.impl,com.liferay.portl
 et.rolesadmin.search,com.liferay.portlet.rolesadmin.util,com.liferay.
 portlet.sites.util,com.liferay.portlet.social.model.impl,com.liferay.
 portlet.social,com.liferay.portlet.social.service.base,com.liferay.po
 rtlet.social.service.http,com.liferay.portlet.social.service.impl,com
 .liferay.portlet.social.service.permission,com.liferay.portlet.social
 .service.persistence.impl,com.liferay.portlet.social.util,com.liferay
 .portlet.usergroupsadmin.search,com.liferay.portlet.usersadmin.util,c
 ustom-sql,resource-actions
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
TODAY: July 4 2024
Tool: Bnd-3.5.0.201709291849
TSTAMP: 1216
